@import "../variables.scss";

.Countries {
    max-height: 100vh;
    overflow-y: scroll;

    &::-webkit-scrollbar {
        width: 15px;
    }
  
    /* Track */
    &::-webkit-scrollbar-track {
        background: $grey;
    }
    
    /* Handle */
    &::-webkit-scrollbar-thumb {
        background: $canari;
    }
    
    /* Handle on hover */
    &::-webkit-scrollbar-thumb:hover {
        background: $darken-canari;
    }

    .country__item {
        border-bottom: 1px solid $dark-grey;
        cursor: pointer;
        transition: all 0.15s ease-out;

        &:hover {
            transition: all 0.15s ease-in;
            background-color: #ffcb4f;
        }
        &.selected .selected__icon {
            display: flex;
        }
        .selected__icon {
            display: none;
        }
    }
}